Skip to content

Releases: YaleUniversity/packer-provisioner-goss

packer-provisioner-goss-v3.1.4

20 Oct 20:55
5b2bf82
Compare
Choose a tag to compare

Current version of packer-plugin (v0.2.3) has an old go-getter dependency (v2.0.0) that has CVEs - 30323, 30322, 30321

This plugin has been updated to v0.3.2

packer-provisioner-goss-v3.1.3

17 May 18:52
0bdee3b
Compare
Choose a tag to compare

Changelog

0bdee3b add linux arm64 to build targets (#61)

packer-provisioner-goss-v3.1.2

20 Sep 20:28
35c9bfc
Compare
Choose a tag to compare

Changelog

35c9bfc convert to goreleaser and match format for releases (#57)

packer-provisioner-goss-v3.1.2-pre13

11 Sep 15:31
Compare
Choose a tag to compare
Pre-release

Changelog

6a7f1a0 64bit only to limit asset sizes

Remove i386 from automatic builds

08 Sep 16:13
Compare
Choose a tag to compare
v3.1.1

remove i386 from builds

Allow skipping Goss spec file and debug info download, fix filepath bug

08 Sep 15:55
612402d
Compare
Choose a tag to compare

Escape single quotes for windows

30 Mar 20:03
ba548c3
Compare
Choose a tag to compare
v3.0.3

replace double quotes with single quotes (#49)

go.mod with v3

22 Mar 14:45
942b35a
Compare
Choose a tag to compare
Specify version 3 in go.mod (#45)

* specify version in go.mod

Update targetOs to target_os to fix packer errors

11 Mar 22:51
e0ae859
Compare
Choose a tag to compare

Update targetOs to target_os to fix packer errors #46

Update packer API version 5

08 Mar 12:50
3924a44
Compare
Choose a tag to compare

Releasing this as a major version since it's not backwards compatible.

https://www.packer.io/guides/1.7-template-upgrade